package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.RelDikeBas;
import com.goldenwater.slgc.mapper.RelDikeBasMapper;
import com.goldenwater.slgc.service.RelDikeBasService;

/** 堤防基本信息关联 业务实现 */
@Service
public class RelDikeBasServiceImpl implements RelDikeBasService {
    @Autowired
    private RelDikeBasMapper relDikeBasMapper;

    @Override
    public List<RelDikeBas> selectRelDikeBasList(RelDikeBas relDikeBas) {
        return relDikeBasMapper.selectRelDikeBasList(relDikeBas);
    }

    @Override
    public RelDikeBas selectRelDikeBasById(RelDikeBas relDikeBas) {
        return relDikeBasMapper.selectRelDikeBasById(relDikeBas);
    }

    @Override
    public int deleteRelDikeBasById(RelDikeBas relDikeBas) {
        return relDikeBasMapper.deleteRelDikeBasById(relDikeBas);
    }

    @Override
    public int insertRelDikeBas(RelDikeBas relDikeBas) {
        return relDikeBasMapper.insertRelDikeBas(relDikeBas);
    }

    @Override
    public int updateRelDikeBas(RelDikeBas relDikeBas) {
        return relDikeBasMapper.updateRelDikeBas(relDikeBas);
    }
}
